CREATE   procedure [C6StagingPeriodico].[RP_ST_NobPrez] as  
begin   
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_NobPrez',  
  GETDATE(),  
  'Elaborazione Trimestrale'  
 )  
 truncate table C6StagingPeriodico.RP_NobPrez 
 insert into C6StagingPeriodico.RP_NobPrez (  
 [CHIAVECLIENTEPB]
           ,[RETE]
           ,[CODFIS]
           ,[CODMAN]
           ,[CODCONF]
           ,[CODCONF_ES]
           ,[DTINI]
           ,[DTFIN]
		   ,DT_AGGIORNAMENTO   )  
 select   
[CHIAVECLIENTEPB]
           ,[RETE]
           ,[CODFIS]
           ,[CODMAN]
           ,[CODCONF]
           ,[CODCONF_ES]
           ,[DTINI]
           ,[DTFIN]
		   ,DT_AGGIORNAMENTO  
    from [CONSUNI].[ConsulenzaUnica].[dbo].[PRAM_NOBPREZ]
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_NobPrez' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'RP_ST_NobPrez'  
  )  
end